Summary:       Framework for managing passwords and other secrets
Name:          gnome-keyring
Version:       42.1
Release:       4%{?dist}
License:       GPLv2+ and LGPLv2+
URL:           https://wiki.gnome.org/Projects/GnomeKeyring
Source0:       https://download.gnome.org/sources/%{name}/42/%{name}-%{version}.tar.xz

Patch3000:     gnome-keyring-42.0-fix-strncpy.patch

BuildRequires: pkgconfig(gcr-3) pkgconfig(glib-2.0) pkgconfig(libsystemd) pkgconfig(p11-kit-1)
BuildRequires: docbook-dtds docbook-style-xsl gcc gettext intltool libgcrypt-devel
BuildRequires: make libselinux-devel pam-devel systemd-rpm-macros
BuildRequires: /usr/bin/ssh-add /usr/bin/ssh-agent /usr/bin/xsltproc

Requires: /usr/bin/ssh-add /usr/bin/ssh-agent /usr/libexec/gcr-ssh-askpass

%description
The gnome-keyring session daemon manages passwords and other types of secrets for the user, storing them
encrypted with a main password. Applications can use the gnome-keyring library to integrate with the keyring.

%package pam
Summary: Pam module for unlocking keyrings
License: LGPLv2+
Requires: %{name} = %{version}-%{release} pam

%description pam
The gnome-keyring-pam package contains a pam module that can automatically unlock the "login" keyring when the user logs in.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
    --with-pam-dir=%{_libdir}/security \
    --enable-pam \
    --with-systemd \
    --without-libcap-ng \
    --with-pkcs11-config=%{_datadir}/p11-kit/modules

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool

%make_build


%install
%make_install

rm %{buildroot}%{_libdir}/security/*.la
rm %{buildroot}%{_libdir}/pkcs11/*.la
rm %{buildroot}%{_libdir}/gnome-keyring/devel/*.la

%find_lang gnome-keyring

%post
%systemd_user_post gnome-keyring-daemon.service

%preun
%systemd_user_preun gnome-keyring-daemon.service

%files -f gnome-keyring.lang
%license COPYING COPYING.LIB
%doc AUTHORS NEWS README
%dir %{_libdir}/gnome-keyring
%dir %{_libdir}/gnome-keyring/devel
%{_libdir}/gnome-keyring/devel/*.so
%dir %{_libdir}/pkcs11
%{_libdir}/pkcs11/*.so
%{_bindir}/gnome-keyring-daemon
%{_bindir}/gnome-keyring
%{_bindir}/gnome-keyring-3
%{_sysconfdir}/xdg/autostart/*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/p11-kit/modules/gnome-keyring.module
%dir %{_datadir}/xdg-desktop-portal
%dir %{_datadir}/xdg-desktop-portal/portals
%{_datadir}/xdg-desktop-portal/portals/gnome-keyring.portal
%{_userunitdir}/gnome-keyring-daemon.service
%{_userunitdir}/gnome-keyring-daemon.socket
%{_mandir}/man1/gnome-keyring.1*
%{_mandir}/man1/gnome-keyring-3.1*
%{_mandir}/man1/gnome-keyring-daemon.1*

%files pam
%{_libdir}/security/*.so

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 8 2022 Shuo Wang <abushwang@tencent.com> - 42.1-1
- initial build
